<?php

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'gamezone_yith_wcwl_wishlist_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'gamezone_yith_wcwl_wishlist_theme_setup9', 9 );
    function gamezone_yith_wcwl_wishlist_theme_setup9() {
        if ( is_admin() ) {
            add_filter( 'gamezone_filter_tgmpa_required_plugins', 'gamezone_yith_wcwl_wishlist_tgmpa_required_plugins' );
        }
    }
}

// Filter to add in the required plugins list
if ( ! function_exists( 'gamezone_yith_wcwl_wishlist_tgmpa_required_plugins' ) ) {
    
    function gamezone_yith_wcwl_wishlist_tgmpa_required_plugins( $list = array() ) {
        if ( gamezone_storage_isset( 'required_plugins', 'yith-woocommerce-wishlist' )) {
            $list[] = array(
                'name'     => gamezone_storage_get_array( 'required_plugins', 'yith-woocommerce-wishlist' ),
                'slug'     => 'yith-woocommerce-wishlist',
                'required' => false,
            );
        }
        return $list;
    }
}

if ( !function_exists( 'gamezone_yith_wishlist_add_to_wishlist_options' ) ) {
	add_filter( 'yith_wcwl_add_to_wishlist_options', 'gamezone_yith_wishlist_add_to_wishlist_options' );
	function gamezone_yith_wishlist_add_to_wishlist_options($options=array()) {
		if ( is_admin() && gamezone_exists_yith_wcwl_wishlist() )  {
			if ( array_key_exists('settings-add_to_wishlist', $options ) ) {			
				unset( $options['settings-add_to_wishlist']['shop_page_section_start'] );
				unset( $options['settings-add_to_wishlist']['show_on_loop'] );
				unset( $options['settings-add_to_wishlist']['loop_position'] );
				unset( $options['settings-add_to_wishlist']['product_page_section_start'] );
				unset( $options['settings-add_to_wishlist']['add_to_wishlist_position'] );
			}
		}
		return $options;
	}
}

if ( !function_exists( 'gamezone_yith_wcwl_customization_style_options' ) ) {
	add_filter( 'yith_wcwl_customization_style_options', 'gamezone_yith_wcwl_customization_style_options' );
	function gamezone_yith_wcwl_customization_style_options($options=array()) {
		if ( is_admin() && gamezone_exists_yith_wcwl_wishlist() )  {
			if ( array_key_exists('customization-style', $options ) ) {			
				unset( $options['customization-style']['use_buttons']['options']['button_default'] );
				unset( $options['customization-style']['use_buttons']['options']['button_custom'] );
				unset( $options['customization-style']['wishlist_use_buttons']['options']['button_default'] );
				unset( $options['customization-style']['wishlist_use_buttons']['options']['button_custom'] );
				unset( $options['customization-style']['add_to_wishlist_icon_color'] );
				unset( $options['customization-style']['added_to_wishlist_icon_color'] );
				unset( $options['customization-style']['add_to_wishlist_icon_type'] );
				unset( $options['customization-style']['add_to_wishlist_icon'] );
				unset( $options['customization-style']['add_to_wishlist_icon_color'] );
				unset( $options['customization-style']['add_to_wishlist_custom_icon'] );
				unset( $options['customization-style']['added_to_wishlist_icon_type'] );
				unset( $options['customization-style']['added_to_wishlist_icon'] );
				unset( $options['customization-style']['added_to_wishlist_custom_icon'] );
				unset( $options['customization-style']['added_to_wishlist_icon_color'] );
			}
		}
		return $options;
	}
}


// Check if plugin installed and activated
if ( ! function_exists( 'gamezone_exists_yith_wcwl_wishlist' ) ) {
    function gamezone_exists_yith_wcwl_wishlist() {
        return function_exists( 'yith_wishlist_install' );
    }
}
